Ubuntu

touchpad identified as PS2 generic mouse

Reported by Luca-formaggia on 2010-10-28
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I am using ubuntu release 10.10 kernel on a Dell Latitude E4310.

This is the output of uname:
2.6.35-23-generic #36-Ubuntu SMP Tue Oct 26 17:13:06 UTC 2010 x86_64 GNU/Linux
I have a;lso tried the latest mainstream kernel linux-image-2.6.36-020636rc8 but the situation has not changed.

This bug is similar to bugs #544215 and #380126, yet here the synaptic touchpad (if it is a synaptic...) is not recognised at all nor at the kernel not at the X level (well, I think that the second issue is likely to be a consequence of the first). I have a computer with both touchpad and finger pointer (is it called like this? it is the little button in the middle of the keyboard). Both works with basic functionalities, but without any of the useful fancy stuff you expect on a touchpad, moreover also the setting is basic and the mouse tends to be overly sensitive.

The only things in /proc/bus/input/devices related to the mouse is

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input6
U: Uniq=
H: Handlers=mouse0 event6
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Thank you for your help.

Luca

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-generic 2.6.35.23.25
Regression: No
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.35-23.36-generic 2.6.35.7
Uname: Linux 2.6.35-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: formaggia 1815 F.... pulseaudio
CRDA: Error: [Errno 2] Nessun file o directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5460000 irq 47'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d7605,10280410,00100104 HDA:80862804,80860101,00100000'
   Controls : 26
   Simple ctrls : 14
Date: Thu Oct 28 12:25:50 2010
Frequency: Once a day.
HibernationDevice: RESUME=UUID=641ca4dc-d9d2-49ed-ad57-cceb8eb71cde
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
Lsusb:
 Bus 002 Device 003: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Latitude E4310
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-23-generic root=UUID=cbe3602b-5bda-469e-a3e7-4277f190210d ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=it_IT.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 08/10/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.name: 04HKYP
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd08/10/2010:svnDellInc.:pnLatitudeE4310:pvr0001:rvnDellInc.:rn04HKYP:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E4310
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Luca-formaggia (luca-formaggia) wrote :
Luca-formaggia (luca-formaggia) wrote :

By reading related bugs I reached the conclusion that I have a AlpsPS/2 touchpad. Then this bug is a likely a duplicate of Bug #550625

Luca

Olegch (olegch) wrote :

The original bug report is closed as "won't fix", so I am posting a comment here too

I have the same issue on a Dell Latitude E6500 running Ubuntu 11.04 64bit

The laptop has a touchpad and a stick (I believe it is called so).

The problem is that sometimes (not always) when the notebook wakes up from standby, the touchpad is recognized as a generic PS/2 mouse. It still works, but there is no touchpad tabs in corresponding settings dialogs, and acceleration and scrolling do not work, which makes it almost impossible to work comfortable.
I use a workaround which fixes it for me, but it would be nice to have this problem fixed once and for all.

The workaround is to remove and install psmouse driver:

sudo rmmod psmouse
sudo insmod /lib/modules/`uname -r`/kernel/drivers/input/mouse/psmouse.ko

Download full text (5.3 KiB)

I have no similar problems on my Dell E4310. Even after wake up the mouse is
recognised correctly as an ALPS Glidepoint.

A way to automatize your workaround is to put a script in
/etc/pm/sleep.d

Look to the man page for details.

Luca

On Tue, May 17, 2011 at 5:09 PM, Olegch <email address hidden> wrote:

> *** This bug is a duplicate of bug 359363 ***
> https://bugs.launchpad.net/bugs/359363
>
> The original bug report is closed as "won't fix", so I am posting a
> comment here too
>
> I have the same issue on a Dell Latitude E6500 running Ubuntu 11.04
> 64bit
>
> The laptop has a touchpad and a stick (I believe it is called so).
>
> The problem is that sometimes (not always) when the notebook wakes up from
> standby, the touchpad is recognized as a generic PS/2 mouse. It still works,
> but there is no touchpad tabs in corresponding settings dialogs, and
> acceleration and scrolling do not work, which makes it almost impossible to
> work comfortable.
> I use a workaround which fixes it for me, but it would be nice to have this
> problem fixed once and for all.
>
> The workaround is to remove and install psmouse driver:
>
> sudo rmmod psmouse
> sudo insmod /lib/modules/`uname -r`/kernel/drivers/input/mouse/psmouse.ko
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/667707
>
> Title:
> touchpad identified as PS2 generic mouse
>
> Status in “linux” package in Ubuntu:
> New
>
> Bug description:
> I am using ubuntu release 10.10 kernel on a Dell Latitude E4310.
>
> This is the output of uname:
> 2.6.35-23-generic #36-Ubuntu SMP Tue Oct 26 17:13:06 UTC 2010 x86_64
> GNU/Linux
> I have a;lso tried the latest mainstream kernel
> linux-image-2.6.36-020636rc8 but the situation has not changed.
>
> This bug is similar to bugs #544215 and #380126, yet here the
> synaptic touchpad (if it is a synaptic...) is not recognised at all
> nor at the kernel not at the X level (well, I think that the second
> issue is likely to be a consequence of the first). I have a computer
> with both touchpad and finger pointer (is it called like this? it is
> the little button in the middle of the keyboard). Both works with
> basic functionalities, but without any of the useful fancy stuff you
> expect on a touchpad, moreover also the setting is basic and the mouse
> tends to be overly sensitive.
>
> The only things in /proc/bus/input/devices related to the mouse is
>
> I: Bus=0011 Vendor=0002 Product=0001 Version=0000
> N: Name="PS/2 Generic Mouse"
> P: Phys=isa0060/serio1/input0
> S: Sysfs=/devices/platform/i8042/serio1/input/input6
> U: Uniq=
> H: Handlers=mouse0 event6
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=3
>
> Thank you for your help.
>
> Luca
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-generic 2.6.35.23.25
> Regression: No
> Reproducible: No
> ProcVersionSignature: Ubuntu 2.6.35-23.36-generic 2.6.35.7
> Uname: Linux 2.6.35-23-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers